Tue, 27 Sep 2022 11:49:36 UTC | login

Information for RPM npm-1:8.9.0-1.18.2.0.1.module_el8.7.0+1175+23de1610.i686.rpm

ID593675
Namenpm
Version8.9.0
Release1.18.2.0.1.module_el8.7.0+1175+23de1610
Epoch1
Archi686
SummaryNode.js Package Manager
Descriptionnpm is a package manager for node.js. You can use it to install and publish your node programs. It manages dependencies and does other cool stuff.
Build Time2022-06-24 15:46:59 GMT
Size1,970,827
81544ffb8ac700536454e8320b8d7079
LicenseMIT and ASL 2.0 and ISC and BSD
Provides
bundled(nodejs-@colors/colors) = 1.5.0
bundled(nodejs-@gar/promisify) = 1.1.3
bundled(nodejs-@isaacs/string-locale-compare) = 1.1.0
bundled(nodejs-@npmcli/arborist) = 5.1.1
bundled(nodejs-@npmcli/ci-detect) = 2.0.0
bundled(nodejs-@npmcli/config) = 4.1.0
bundled(nodejs-@npmcli/disparity-colors) = 2.0.0
bundled(nodejs-@npmcli/fs) = 2.1.0
bundled(nodejs-@npmcli/git) = 3.0.1
bundled(nodejs-@npmcli/installed-package-contents) = 1.0.7
bundled(nodejs-@npmcli/map-workspaces) = 2.0.3
bundled(nodejs-@npmcli/metavuln-calculator) = 3.1.0
bundled(nodejs-@npmcli/move-file) = 2.0.0
bundled(nodejs-@npmcli/name-from-folder) = 1.0.1
bundled(nodejs-@npmcli/node-gyp) = 2.0.0
bundled(nodejs-@npmcli/package-json) = 2.0.0
bundled(nodejs-@npmcli/promise-spawn) = 3.0.0
bundled(nodejs-@npmcli/run-script) = 3.0.2
bundled(nodejs-@tootallnate/once) = 2.0.0
bundled(nodejs-abbrev) = 1.1.1
bundled(nodejs-agent-base) = 6.0.2
bundled(nodejs-agentkeepalive) = 4.2.1
bundled(nodejs-aggregate-error) = 3.1.0
bundled(nodejs-ansi-regex) = 5.0.1
bundled(nodejs-ansi-styles) = 4.3.0
bundled(nodejs-aproba) = 2.0.0
bundled(nodejs-archy) = 1.0.0
bundled(nodejs-are-we-there-yet) = 3.0.0
bundled(nodejs-asap) = 2.0.6
bundled(nodejs-balanced-match) = 1.0.2
bundled(nodejs-bin-links) = 3.0.1
bundled(nodejs-binary-extensions) = 2.2.0
bundled(nodejs-brace-expansion) = 1.1.11
bundled(nodejs-brace-expansion) = 2.0.1
bundled(nodejs-builtins) = 5.0.0
bundled(nodejs-cacache) = 16.0.7
bundled(nodejs-chalk) = 4.1.2
bundled(nodejs-chownr) = 2.0.0
bundled(nodejs-cidr-regex) = 3.1.1
bundled(nodejs-clean-stack) = 2.2.0
bundled(nodejs-cli-columns) = 4.0.0
bundled(nodejs-cli-table3) = 0.6.2
bundled(nodejs-clone) = 1.0.4
bundled(nodejs-cmd-shim) = 5.0.0
bundled(nodejs-color-convert) = 2.0.1
bundled(nodejs-color-name) = 1.1.4
bundled(nodejs-color-support) = 1.1.3
bundled(nodejs-columnify) = 1.6.0
bundled(nodejs-common-ancestor-path) = 1.0.1
bundled(nodejs-concat-map) = 0.0.1
bundled(nodejs-console-control-strings) = 1.1.0
bundled(nodejs-debug) = 4.3.4
bundled(nodejs-debuglog) = 1.0.1
bundled(nodejs-defaults) = 1.0.3
bundled(nodejs-delegates) = 1.0.0
bundled(nodejs-depd) = 1.1.2
bundled(nodejs-dezalgo) = 1.0.4
bundled(nodejs-diff) = 5.0.0
bundled(nodejs-emoji-regex) = 8.0.0
bundled(nodejs-encoding) = 0.1.13
bundled(nodejs-env-paths) = 2.2.1
bundled(nodejs-err-code) = 2.0.3
bundled(nodejs-fastest-levenshtein) = 1.0.12
bundled(nodejs-fs-minipass) = 2.1.0
bundled(nodejs-fs.realpath) = 1.0.0
bundled(nodejs-function-bind) = 1.1.1
bundled(nodejs-gauge) = 4.0.4
bundled(nodejs-glob) = 7.2.0
bundled(nodejs-glob) = 8.0.1
bundled(nodejs-graceful-fs) = 4.2.10
bundled(nodejs-has) = 1.0.3
bundled(nodejs-has-flag) = 4.0.0
bundled(nodejs-has-unicode) = 2.0.1
bundled(nodejs-hosted-git-info) = 5.0.0
bundled(nodejs-http-cache-semantics) = 4.1.0
bundled(nodejs-http-proxy-agent) = 5.0.0
bundled(nodejs-https-proxy-agent) = 5.0.0
bundled(nodejs-humanize-ms) = 1.2.1
bundled(nodejs-iconv-lite) = 0.6.3
bundled(nodejs-ignore-walk) = 5.0.1
bundled(nodejs-imurmurhash) = 0.1.4
bundled(nodejs-indent-string) = 4.0.0
bundled(nodejs-infer-owner) = 1.0.4
bundled(nodejs-inflight) = 1.0.6
bundled(nodejs-inherits) = 2.0.4
bundled(nodejs-ini) = 3.0.0
bundled(nodejs-init-package-json) = 3.0.2
bundled(nodejs-ip) = 1.1.5
bundled(nodejs-ip-regex) = 4.3.0
bundled(nodejs-is-cidr) = 4.0.2
bundled(nodejs-is-core-module) = 2.8.1
bundled(nodejs-is-fullwidth-code-point) = 3.0.0
bundled(nodejs-is-lambda) = 1.0.1
bundled(nodejs-isexe) = 2.0.0
bundled(nodejs-json-parse-even-better-errors) = 2.3.1
bundled(nodejs-json-stringify-nice) = 1.1.4
bundled(nodejs-jsonparse) = 1.3.1
bundled(nodejs-just-diff) = 5.0.1
bundled(nodejs-just-diff-apply) = 5.2.0
bundled(nodejs-libnpmaccess) = 6.0.3
bundled(nodejs-libnpmdiff) = 4.0.3
bundled(nodejs-libnpmexec) = 4.0.5
bundled(nodejs-libnpmfund) = 3.0.2
bundled(nodejs-libnpmhook) = 8.0.3
bundled(nodejs-libnpmorg) = 4.0.3
bundled(nodejs-libnpmpack) = 4.0.3
bundled(nodejs-libnpmpublish) = 6.0.4
bundled(nodejs-libnpmsearch) = 5.0.3
bundled(nodejs-libnpmteam) = 4.0.3
bundled(nodejs-libnpmversion) = 3.0.4
bundled(nodejs-lru-cache) = 6.0.0
bundled(nodejs-lru-cache) = 7.8.1
bundled(nodejs-make-fetch-happen) = 10.1.2
bundled(nodejs-minimatch) = 3.1.2
bundled(nodejs-minimatch) = 5.0.1
bundled(nodejs-minipass) = 3.1.6
bundled(nodejs-minipass-collect) = 1.0.2
bundled(nodejs-minipass-fetch) = 2.1.0
bundled(nodejs-minipass-flush) = 1.0.5
bundled(nodejs-minipass-json-stream) = 1.0.1
bundled(nodejs-minipass-pipeline) = 1.2.4
bundled(nodejs-minipass-sized) = 1.0.3
bundled(nodejs-minizlib) = 2.1.2
bundled(nodejs-mkdirp) = 1.0.4
bundled(nodejs-mkdirp-infer-owner) = 2.0.0
bundled(nodejs-ms) = 2.1.2
bundled(nodejs-ms) = 2.1.3
bundled(nodejs-mute-stream) = 0.0.8
bundled(nodejs-negotiator) = 0.6.3
bundled(nodejs-node-gyp) = 9.0.0
bundled(nodejs-nopt) = 5.0.0
bundled(nodejs-normalize-package-data) = 4.0.0
bundled(nodejs-npm-audit-report) = 3.0.0
bundled(nodejs-npm-bundled) = 1.1.2
bundled(nodejs-npm-install-checks) = 5.0.0
bundled(nodejs-npm-normalize-package-bin) = 1.0.1
bundled(nodejs-npm-package-arg) = 9.0.2
bundled(nodejs-npm-packlist) = 5.0.2
bundled(nodejs-npm-pick-manifest) = 7.0.1
bundled(nodejs-npm-profile) = 6.0.3
bundled(nodejs-npm-registry-fetch) = 13.1.1
bundled(nodejs-npm-user-validate) = 1.0.1
bundled(nodejs-npmlog) = 6.0.2
bundled(nodejs-once) = 1.4.0
bundled(nodejs-opener) = 1.5.2
bundled(nodejs-p-map) = 4.0.0
bundled(nodejs-pacote) = 13.3.0
bundled(nodejs-parse-conflict-json) = 2.0.2
bundled(nodejs-path-is-absolute) = 1.0.1
bundled(nodejs-proc-log) = 2.0.1
bundled(nodejs-promise-all-reject-late) = 1.0.1
bundled(nodejs-promise-call-limit) = 1.0.1
bundled(nodejs-promise-inflight) = 1.0.1
bundled(nodejs-promise-retry) = 2.0.1
bundled(nodejs-promzard) = 0.3.0
bundled(nodejs-qrcode-terminal) = 0.12.0
bundled(nodejs-read) = 1.0.7
bundled(nodejs-read-cmd-shim) = 3.0.0
bundled(nodejs-read-package-json) = 5.0.1
bundled(nodejs-read-package-json-fast) = 2.0.3
bundled(nodejs-readable-stream) = 3.6.0
bundled(nodejs-readdir-scoped-modules) = 1.1.0
bundled(nodejs-retry) = 0.12.0
bundled(nodejs-rimraf) = 3.0.2
bundled(nodejs-safe-buffer) = 5.2.1
bundled(nodejs-safer-buffer) = 2.1.2
bundled(nodejs-semver) = 7.3.7
bundled(nodejs-set-blocking) = 2.0.0
bundled(nodejs-signal-exit) = 3.0.7
bundled(nodejs-smart-buffer) = 4.2.0
bundled(nodejs-socks) = 2.6.2
bundled(nodejs-socks-proxy-agent) = 6.1.1
bundled(nodejs-spdx-correct) = 3.1.1
bundled(nodejs-spdx-exceptions) = 2.3.0
bundled(nodejs-spdx-expression-parse) = 3.0.1
bundled(nodejs-spdx-license-ids) = 3.0.11
bundled(nodejs-ssri) = 9.0.0
bundled(nodejs-string-width) = 4.2.3
bundled(nodejs-string_decoder) = 1.3.0
bundled(nodejs-strip-ansi) = 6.0.1
bundled(nodejs-supports-color) = 7.2.0
bundled(nodejs-tar) = 6.1.11
bundled(nodejs-text-table) = 0.2.0
bundled(nodejs-tiny-relative-date) = 1.3.0
bundled(nodejs-treeverse) = 2.0.0
bundled(nodejs-unique-filename) = 1.1.1
bundled(nodejs-unique-slug) = 2.0.2
bundled(nodejs-util-deprecate) = 1.0.2
bundled(nodejs-validate-npm-package-license) = 3.0.4
bundled(nodejs-validate-npm-package-name) = 4.0.0
bundled(nodejs-walk-up-path) = 1.0.0
bundled(nodejs-wcwidth) = 1.0.1
bundled(nodejs-which) = 2.0.2
bundled(nodejs-wide-align) = 1.1.5
bundled(nodejs-wrappy) = 1.0.2
bundled(nodejs-write-file-atomic) = 4.0.1
bundled(nodejs-yallist) = 4.0.0
config(npm) = 1:8.9.0-1.18.2.0.1.module_el8.7.0+1175+23de1610
npm = 1:8.9.0
npm = 1:8.9.0-1.18.2.0.1.module_el8.7.0+1175+23de1610
npm(npm) = 8.9.0
npm(npm) = 8.9.0
npm(x86-32) = 1:8.9.0-1.18.2.0.1.module_el8.7.0+1175+23de1610
Obsoletes
npm < 0:3.5.4-6
Conflicts No Conflicts
Requires
/usr/bin/bash
/usr/bin/node
/usr/bin/sh
config(npm) = 1:8.9.0-1.18.2.0.1.module_el8.7.0+1175+23de1610
nodejs = 1:18.2.0-1.module_el8.7.0+1175+23de1610
rpmlib(BuiltinLuaScripts) <= 4.2.2-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
Recommends
nodejs-docs = 1:18.2.0-1.module_el8.7.0+1175+23de1610
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
Page:
1 through 50 of 2004 >>>
Name ascending sort Size
/etc/npmignore0
/etc/npmrc42
/usr/bin/npm38
/usr/bin/npx38
/usr/etc/npmrc10
/usr/lib/node_modules/npm0
/usr/lib/node_modules/npm/.npmrc0
/usr/lib/node_modules/npm/LICENSE9,742
/usr/lib/node_modules/npm/README.md4,289
/usr/lib/node_modules/npm/bin0
/usr/lib/node_modules/npm/bin/node-gyp-bin0
/usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp168
/usr/lib/node_modules/npm/bin/node-gyp-bin/node-gyp.cmd148
/usr/lib/node_modules/npm/bin/npm1,361
/usr/lib/node_modules/npm/bin/npm-cli.js50
/usr/lib/node_modules/npm/bin/npm.cmd483
/usr/lib/node_modules/npm/bin/npx1,563
/usr/lib/node_modules/npm/bin/npx-cli.js2,832
/usr/lib/node_modules/npm/bin/npx.cmd539
/usr/lib/node_modules/npm/docs25
/usr/lib/node_modules/npm/index.js145
/usr/lib/node_modules/npm/lib0
/usr/lib/node_modules/npm/lib/arborist-cmd.js627
/usr/lib/node_modules/npm/lib/auth0
/usr/lib/node_modules/npm/lib/auth/legacy.js2,333
/usr/lib/node_modules/npm/lib/auth/oauth.js152
/usr/lib/node_modules/npm/lib/auth/saml.js151
/usr/lib/node_modules/npm/lib/auth/sso.js2,431
/usr/lib/node_modules/npm/lib/base-command.js2,878
/usr/lib/node_modules/npm/lib/cli.js3,441
/usr/lib/node_modules/npm/lib/commands0
/usr/lib/node_modules/npm/lib/commands/access.js5,272
/usr/lib/node_modules/npm/lib/commands/adduser.js1,925
/usr/lib/node_modules/npm/lib/commands/audit.js1,581
/usr/lib/node_modules/npm/lib/commands/bin.js743
/usr/lib/node_modules/npm/lib/commands/birthday.js364
/usr/lib/node_modules/npm/lib/commands/bugs.js1,563
/usr/lib/node_modules/npm/lib/commands/cache.js7,245
/usr/lib/node_modules/npm/lib/commands/ci.js3,801
/usr/lib/node_modules/npm/lib/commands/completion.js9,104
/usr/lib/node_modules/npm/lib/commands/config.js8,322
/usr/lib/node_modules/npm/lib/commands/dedupe.js1,419
/usr/lib/node_modules/npm/lib/commands/deprecate.js2,102
/usr/lib/node_modules/npm/lib/commands/diff.js8,158
/usr/lib/node_modules/npm/lib/commands/dist-tag.js5,503
/usr/lib/node_modules/npm/lib/commands/docs.js1,413
/usr/lib/node_modules/npm/lib/commands/doctor.js9,446
/usr/lib/node_modules/npm/lib/commands/edit.js1,963
/usr/lib/node_modules/npm/lib/commands/exec.js2,794
/usr/lib/node_modules/npm/lib/commands/explain.js3,596
Component of No Buildroots